/* @(#) $Header: dexpire.h,v 1.29 91/12/23 21:02:43 leres Exp $ (LBL) */

/* This lower limit keeps us from making unproductive passes */
#define MIN_DTIME (30 * 60)
/* This upper limit keeps us from biting off too much in one pass */
#define MAX_DTIME (12 * 60 * 60)

/* This lower limit keeps us from recalculating dtime too often */
#define MIN_TOGO 10
/* This upper limit keeps insures we recalculate dtime often enough */
#define MAX_TOGO 200


/* Refuse to free more than this percentage of the filesystem */
#define MAX_FREE 0.25

/* This is used when we cannot determine the number of inodes used */
#define DEFAULT_DENSITY 4.0	/* kbytes/inode */

/* Use scandir if more than this amount of lookups in one dir fails */
#define SCANDIR_THRES 0.1
/* ...but not for less than this number */
#define SCANDIR_MIN 10

/* Or: Use scandir from this fixed number of lookups on  */
#define SCANDIR_MAX 100
